bid-package-activities
Retrieves a list of activities (history) of the bid packages that are associated with BuildingConnected projects owned by the requesting user’s company or projects the user is a team member of.
At least one of the filters filter[currentAccLinkedProjectId], filter[projectId], filter[bidPackageId], or filter[inviteId] must be provided.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/construction/buildingconnected/v2/bid-package-activities |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
Request
Query String Parameters
| cursorState string | An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.
Omit this parameter to initiate a paginated request or to restart pagination. |
| limit int | The maximum number of records that the endpoint may return per page.
Note that a returned page may contain fewer records than the limit under either of these conditions:
Default value: |
| filter[projectId] array: string | Comma separated IDs of projects with which the objects returned in the response must be associated. |
| filter[bidPackageId] array: string | Comma separated IDs of bid packages with which the objects returned in the response must be associated. |
| filter[inviteId] string | The ID of an invite for which the bids returned in the response must have been submitted. |
| filter[currentAccLinkedProjectId] string | The ID of a Forma project with which the objects returned in the response are associated with BuildingConnected projects that are linked to this Forma Project. |
| filter[action] array: string | A comma separated list of actions. Only bid package activities with an action matching one in the list will be returned in the response. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| pagination object | The pagination details of a response. |
| limit int | The maximum number of records to return per page.
Note that a returned page may contain fewer records than the limit under either of these conditions:
|
| cursorState string | An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.
Omit this parameter to initiate a paginated request or to restart pagination. |
| nextUrl string | The URL path that returns the next page of data. |
| results array: object | The details of the bid package event. |
| id string | The unique ID of the bid package event.
Max length: 24 |
| action enum:string | Denotes an action on a bid package.
Possible values: |
| data object | Additional context related to the action on a bid package. |
| state string |
|
| user object | Information for a given user on BuildingConnected. |
| id string | The unique BuildingConnected ID of this user.
Max length: 24 |
| firstName string | The user’s first name. |
| lastName string | The user’s last name. |
| email string | The user’s email address. |
| avatarImageUrl string | The cached imgix url for the avatar image of the user. |
| total number |
|
| currency string |
|
| files array |
|
| previousState string |
|
| bidId string |
Max length: 24 |
| projectId string | The unique ID of the project this event belongs to.
Max length: 24 |
| bidPackageId string | The unique ID of the bid package this event belongs to.
Max length: 24 |
| inviteId string | The unique ID of the invite this event belongs to.
Max length: 24 |
| currentAccLinkedProjectId string | The project ID of the Forma project currently linked to from this bid package activity’s BuildingConnected project. |
| createdAt datetime: ISO 8601 | The date and time that the action was created, in ISO 8601 format. |
| createdBy object | Information for a given user on BuildingConnected. |
| id string | The unique BuildingConnected ID of this user.
Max length: 24 |
| firstName string | The user’s first name. |
| lastName string | The user’s last name. |
| email string | The user’s email address. |
| avatarImageUrl string | The cached imgix url for the avatar image of the user. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/bid-package-activities?filter[currentAccLinkedProjectId]=00f1b796-293a-4c1e-9474-f09711011426' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"pagination": {
"limit": 100,
"cursorState": "eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9",
"nextUrl": "https://developer.api.autodesk.com/construction/buildingconnected/v2/projects?cursorState=eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9"
},
"results": [
{
"id": "5c3f0a5c9ca3dda548312ea5",
"action": "BID_SUBMITTED",
"data": {
"state": "NOT_BIDDING",
"user": {
"id": "5d8104b87e392d56e1e4b4ca",
"firstName": "First",
"lastName": "Last",
"email": "email@example.com",
"avatarImageUrl": "https://www.example.com/"
},
"total": 10000,
"currency": "USD",
"files": [
"download.pdf"
],
"previousState": "NOT_BIDDING",
"bidId": "5c3f0a5c9ca3dda548312ea5"
},
"projectId": "59d2bd7440b36a0da258f24d",
"bidPackageId": "590dd127b359f408f190b5a7",
"inviteId": "590dd527b359f408f191b5b6",
"currentAccLinkedProjectId": "00f1b796-293a-4c1e-9474-f09711011426",
"createdAt": "2014-09-22T16:27:37.437Z",
"createdBy": {
"id": "5d8104b87e392d56e1e4b4ca",
"firstName": "First",
"lastName": "Last",
"email": "email@example.com",
"avatarImageUrl": "https://www.example.com/"
}
}
]
}